package net.locusworks.common.utils;

/***
 * Success class to return data back to the client 
 * @author Isaac Parenteau
 * @version 1.0.0
 * @date 02/15/2018
 */
public class Success {
  private boolean success = true;
  private Object body;

  protected Success() {
    this(true, true);
  }

  protected Success(boolean success) {
    this(success, success);
  }
  
  public Success(boolean success, Object body) {
    this.success = success;
    this.body = body;
  }

  public Object getBody() {
    return body;
  }

  public boolean getSuccess() {
    return success;
  }
  
  public static Success success() {
    return new Success();
  }
  
  public static Success fail() {
    return new Success(false);
  }
}
