package net.locusworks.test;

import org.junit.Assert;
import org.junit.Test;

import net.locusworks.common.crypto.HashSalt;
import net.locusworks.common.utils.Utils;

public class HashSaltTest {
  
  private static String samplePassword="Hello World";

  @Test
  public void testEncryption() {
    try {
      String hashSalt = HashSalt.createHash(samplePassword);
      Assert.assertTrue(String.format("Encrypted String is not blank? :%s",  hashSalt), !Utils.isEmptyString(hashSalt));
    } catch(Exception ex) {
      Assert.fail();
    }
  }
  
  @Test
  public void testDecryption() {
    try {
      String hashSalt = HashSalt.createHash(samplePassword);
      boolean decrypted = HashSalt.validatePassword(samplePassword, hashSalt);
      Assert.assertTrue("Test String and Original String the same? :%s", decrypted);
    } catch(Exception ex) {
      Assert.fail();
    }
  }

}
