package net.locusworks.test;

import static org.junit.Assert.*;

import org.apache.commons.codec.digest.DigestUtils;
import org.junit.Test;

import net.locusworks.common.utils.HashUtils;

public class HashUtilsTest {
  
  private static final String TEST_STRING = "Hello World";

  @Test
  public void testMD5() throws Exception {
    String digestUtilsMD5 = DigestUtils.md5Hex(TEST_STRING.getBytes());
    String hashUtilsMD5 = HashUtils.hash("MD5", TEST_STRING);
    
    assertTrue(digestUtilsMD5.equals(hashUtilsMD5));
  }
  
  @Test
  public void testSHA1() throws Exception {
    String digestUtilsMD5 = DigestUtils.sha1Hex(TEST_STRING.getBytes());
    String hashUtilsMD5 = HashUtils.hash("SHA-1", TEST_STRING);
    
    assertTrue(digestUtilsMD5.equals(hashUtilsMD5));
  }
  
  @Test
  public void testSHA512() throws Exception {
    String digestUtilsMD5 = DigestUtils.sha512Hex(TEST_STRING.getBytes());
    String hashUtilsMD5 = HashUtils.hash("SHA-512", TEST_STRING);
    
    assertTrue(digestUtilsMD5.equals(hashUtilsMD5));
  }

}
